petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPSolveTranspose

Solves the transpose of a linear system.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSolveTranspose(KSP ksp,Vec b,Vec x)

Collective on KSP Many br

### Input Parameter

| ksp | - iterative context obtained from KSPCreate() Many br
| b | - right hand side vector Many br
| x | - solution vector Many br

Notes: For complex numbers this solve the non-Hermitian transpose system. Many br

Developer Notes: We need to implement a KSPSolveHermitianTranspose() Many br

Many br

### Keywords

KSP, solve, linear system

### See Also

KSPCreate(), KSPSetUp(), KSPDestroy(), KSPSetTolerances(), KSPConvergedDefault(),
KSPSolve() Many br

Level:developer
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex53.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html